### Function

# GLib log_structured_array

since: 2.50

#### Declaration [src]

    void
    g_log_structured_array (
      GLogLevelFlags log_level,
      const GLogField* fields,
      gsize n_fields
    )

#### Description [src]

Log a message with structured data.

The message will be passed through to the log writer set by the application using `g_log_set_writer_func()`. If the message is fatal (i.e. its log level is `G_LOG_LEVEL_ERROR`), the program will be aborted at the end of this function.

See `g_log_structured()` for more documentation.

This assumes that `log_level` is already present in `fields` (typically as the `PRIORITY` field).

Available since: 2.50

#### Parameters

`log_level`

  Type: `GLogLevelFlags`

  Log level, either from `GLogLevelFlags`, or a user-defined level.

`fields`

  Type: An array of `GLogField`

  Key–value pairs of structured data to add to the log message.

  The length of the array is specified in the `n_fields` argument.
  The data is owned by the caller of the function.

`n_fields`

  Type: `gsize`

  Number of elements in the `fields` array.